/*  1366px  */
@media all and (max-width: 1840px) {

.slider .slide, .home-banner1, .home-banner2, .home-banner3  {height: 280px;}

.banner-text {padding: 60px;}

.sponsors ul li  {margin: 20px 6px; float: left;}

.social-media {    margin-right: 60px;}

header.darker .search {width: 65%; }

#mixedSlider4, #mixedSlider44, #mixedSlider444 { width: 1280px;} 

#mixedSlider4 .MS-content .item, #mixedSlider44 .MS-content .item, #mixedSlider444 .MS-content .item {  width: 24%;}

.searchtextbox {    background-position: 97% center;}

.inside-left-panel .blog-box {width: 31.3%; margin: 1%}

.inside-left-panel {padding: 15px;}

.inside-right-panel {padding: 20px 15px 15px 0px;}

.face {width: 15%;}

.comment {width: 85%; padding: 15px; font-size: 15px;}

.comment:before {margin-left: -25px; margin-top: 1.8%;}

header.darker .search, .search {    width: 55%;}


}










/*  1280px  */
@media all and (max-width: 1339px) {

#mixedSlider4, #mixedSlider44, #mixedSlider444 {width: 1200px;}

.sponsors ul li {width: 30%;}

.lastest-news li h4 {    font-size: 16px; }

.sponsors, .lastest-news {padding: 10px 40px; height: 620px;}

.lastest-news h2 {text-align: left;}

.lastest-news h2::after {margin: 20px 0px;}

h3 {margin-top: 0px;}

.sponsor-grid a {margin: 7px;}

.submit-button {padding: 10px 20px;}

.dashboard-left, .dashboard-right, .dashboard-middle {width: 96%; margin: 2%;}

}





/*  980px  */
@media all and (max-width: 1239px) {

#mixedSlider4, #mixedSlider44, #mixedSlider444 {width: 940px;}

.sponsors, .lastest-news {padding: 10px 40px; height: 720px;}

.sponsors ul li {width: 31%; margin: .5% 2% .5% 0%;}

.question-box .question {font-size: 17px; line-height: 130%;}

.question-box .question em {letter-spacing: 1px; font-size: 12px;}

.question-box .question:after {margin-top: 36px; }

h2 {    font-size: 28px;}

.hline {padding: 0px;}

.question-box .answer {padding: 15px;}

.question-box .question {padding: 15px;}

.banner-text {    padding: 100px 80px; font-size: 30px;}

.home-banner4  {height: 410px;}

.home-banner5  {height: 360px;}

.sticker-test {    width: 950px;}

#mixedSlider4 .MS-content .item, #mixedSlider44 .MS-content .item, #mixedSlider444 .MS-content .item {width: 33%}

.aboutus .half-left {    padding-right: 20px;}

.aboutus .half-right {    padding-left: 20px;}

.sponsor-grid a {    margin: 7px;    width: 174px;}

.inside-left-panel, .question-left-panel, .question-right-panel, .question-middle-panel, .inside-right-panel {width: 100%; margin: 0; padding: 20px; float: none;} 

header.darker .search, .search {    width: 42%;}

.inside-left-panel .blog-box {    width: 31.3%;    margin: 1%;}

.user-option {margin-top: 13px;}

.cols {    column-count: 2;    column-gap: 3%;    column-width: 48%;}

.tutorial-advt-panel {    width: 250px;}

.tutorial-middle-panel {    width: calc(100% - 550px);}

.middle-and-right {width: 100%;}

}




/*  768px  */
@media all and (max-width: 979px) {

#mixedSlider4, #mixedSlider44, #mixedSlider444 {width: 720px;}

.sponsors, .lastest-news { padding:25px; height: auto; width: 100%; border:0px;}

.lastest-news {border-bottom: 1px solid #ccc;}

.sponsors h2, .lastest-news h2 {margin-top: 0px;}

.sponsors ul li { width: 19%; margin: 0% 1% .2% 0%;}

.footer-column h5 {font-size: 16px;}

.footer-column h5::after {width: 30px; margin: 10px 0px;}

h2 {    font-size: 24px;}

#mixedSlider4 .MS-content .item, #mixedSlider44 .MS-content .item, #mixedSlider444 .MS-content .item {width: 32.5%;}

.logo img {width: 150px;}

header.darker .search, .search {    width: 43%;    margin-top: 15px !important;    margin-right: 10px;}

.dropbtn {    margin-right: 0;}

.searchtextbox {    padding: 5px 20px!important;    font-size: 20px!important;}

header.darker .signup, .signup {    margin-top: 20px!important;}

.header-gap {    width: 100%;    height: 155px;}

.home-banner4  {height: 300px;}

.home-banner5  {height: 250px; background-position: center 30px;}

.slider .slide, .home-banner1, .home-banner2, .home-banner3  {height: 250px;}

.banner-text {    padding: 60px 80px;    font-size: 22px;}

.colorful-sticker-text {    width: 645px;}

.small-sticker-text {    width: 130px;    height: 95px;}

.sticker-test {    width: 675px;}

.sticker-text1, .sticker-text2 {    margin-top: 75px;    width: 45%;    height: 80px;}

.contactus .textbox1, .contact-box {width: 98%; margin: 1%;}

.inside-page {height: 80px;}

.sponsor-grid a {    margin: 7px;    width: 166px;}

.news li {    width: 100%;    float: none;    padding: 15px; margin: 0px; padding: 20px 0px 20px 0px; border-bottom: 1px solid #ccc; }

.inside-left-panel .blog-box {    width: 48%;    margin: 1%;}

.tutorials-right-panel, .tutorials-left-panel  {width: 100%; margin: 0px; padding: 20px;}

.tutorial-middle-panel {    width: calc(100% - 250px);}

}









/*  640px  */
@media all and (max-width: 767px) {

header.darker .search, .search {    width: 37%;    margin-top: 15px !important;}

#mixedSlider4, #mixedSlider44, #mixedSlider444 {width: 600px;}

#mixedSlider4 .MS-content .item, #mixedSlider44 .MS-content .item, #mixedSlider444 .MS-content .item {width: 49%;}

.sticker-test {    width: 620px;}

.home-banner5  {background-size: auto 230px; background-position: center 30px; background-color: #99d4c2;}

.sticker-text1, .sticker-text2 {    margin-top: 75px;    width: 44%;    height: 80px;    font-size: 12px;}

.top-navigation {    position: fixed;   top: 155px;}

.nav > li {    border-top: 1px solid #4c4f69; border-right: 1px solid #4c4f69;}

.nav a {    padding: 9px 15px;    color: #fff;}

.nav li li ul, .nav > li.hover > ul {    width: 100%;    max-width: 100%;    margin: 0;    padding: 0;}

.nav > li > .parent {     background-image: url("../images/downArrow.png");     background-repeat: no-repeat;    background-position: 92% 50%; }

.mobilemenu {  background-color: #2b2e4b;   display: block;    position: fixed;  width: 100%;   color: #fff; padding: 9px 15px; height: 47px;    font-size: 14px;    font-weight: 500;    left: 0px;    top: 108px;    text-transform: uppercase;    letter-spacing: 1px;}

.active::after { display: none!important;}

.footer-column {    width: 50%;    height: 300px;}

.banner-text {width: 100%;}


.aboutus .half-left {    padding-right: 0px; width: 100%; }

.aboutus .half-right {    padding-left: 0px; width: 100%;}

.aboutus .clear {height: 1px; }


h3 {margin-top: 10px;}

.sponsor-grid a {    margin: 7px;    width: 135px;}

header.darker .search, .search {    width: 34%;    margin-top: 15px !important;}

h3 {font-weight: 500; font-size: 24px; line-height: 30px;}

#sliderh4 .banner-text {    font-size: 28px;    width: 100%;    padding: 70px;    text-align: center;}

.slider .slide, .slider .slider_area,  .blog-banner1, .blog-banner2, .blog-banner3 {height: 200px;}

.slider .slider_left, .slider .slider_right {top:33%;}

#sliderh4 .banner-text {    font-size: 23px;    width: 100%;    padding: 70px;    text-align: center;}

.inside-left-panel .blog-box {    width: 100%;    margin: 1% 0px;}

.searchtextbox {    background-position: 93% center;}

.detail-question {font-size: 24px;}

.comment-textbox {width: 55%;}

#top-navigation {max-height: 380px; overflow-y: hidden; width:100%; padding-right: 15px; }

.nav { height: 380px; overflow-y: scroll; width:100%; padding-right: 10px;}

.nav::before, .nav::after,  .nav::before, .nav::after  {display: none!important;}

}










/*  480px  */
@media all and (max-width: 639px) {

#mixedSlider4, #mixedSlider44, #mixedSlider444 {width: 440px;}


.social-media {    margin-right: 0px;    width: 100%;    text-align: center;}

.social-media li {    float: none;    display: inline;}

.copyright {float: none; text-align: center; width: 100%;}

.lastest-news li a img {    float: left;    margin-right: 20px;    width: 100px;    margin-bottom: 5px;}

.slider .slide, .home-banner1, .home-banner2, .home-banner3, .home-banner4, .home-banner5  {height: 200px;}

.banner-text {   padding: 70px 50px;    font-size: 20px;    text-align: center;}

.colorful-sticker-text, .sticker-test {display: none!important; height: 0px!important; width: 0px!important;}

.home-banner4 {background-image: url(../images/homepage-banner0.jpg); background-size:cover; background-position: center bottom;} 

.home-banner5 {background-image: url(../images/homepage-banner00.jpg); background-size:cover; background-position: center bottom;} 

header.darker .search, .search {    width: 85%;    margin-top: 15px !important;    position: absolute;    left: 10px;    top: 96px;    z-index: 10;}

.sticky-button {top:-4px; height: 43px; overflow: hidden;}

.sticky-button img, .sticky-button a {    display: block;    width: 44px;}

.sponsor-grid a {    margin: 7px;    width: 132px;}

.news li a img {width: 100px;}

.news li h4 {font-size: 16px;}

.inside-page p {display: none;}

header.darker .user-option, .user-option {    margin-top: 14px;}

.top-left-links {font-size: 12px;}

.top-right-links {    margin: 6px 55px 0px 0px;}

.cols {    column-count: 1;    column-gap: 0%;    column-width: 48%;}

.tutorial-middle-panel {    width: calc(100% - 0px);}

.tutorial-advt-panel {width: 100%; margin: 0px; padding: 20px; }

.advt img {width: 100%; }

.detail-question {font-size: 18px;}

.comment-box-bottom img {display: block; margin: auto; float: none;}

.add-comment, .comment-textbox {width: 100%; float: none; margin: 5px 0px;}

.data-table th, .data-table td {    padding: 5px 3px;    border: 1px solid #ccc;  text-align: left;    font-size: 11px;    line-height: 120%;}

.data-table {margin-top: 0px;}

}



/*  360px  */
@media all and (max-width: 479px) {

#mixedSlider4, #mixedSlider44, #mixedSlider444 {width: 320px;}

#mixedSlider4 .MS-content .item, #mixedSlider44 .MS-content .item, #mixedSlider444 .MS-content .item {width: 98.5%;}

.footer-column {    width: 100%;    height: auto;} 

h2 {    font-size: 22px;}

.lastest-new h2::after, .sponsors h2::after {    margin: 10px 0px;}

.top-right-links li {display: none}

header.darker .search, .search {    width: 82%;}

.banner-text {    padding: 50px 40px;    font-size: 20px;    text-align: center;}

.sticky-button {top:-3px;}

h5 {margin-top: 10px;}

.footer-column h5 {text-align: center;}

.footer-column h5:after {margin: 10px auto;}

.footer-column li {text-align: center;}

.footer-column {padding: 0px;}

.footer-column p {text-align: center;}

.footer-column a {text-align: center; display: block;}

.sponsor-grid a {    margin: 4px;    width: 98px;}

header.darker .user-option, .user-option {    margin-top: 14px;    width: 170px;}

.logout-button {font-size: 0px; padding: 0px; width: 40px; height: 40px; display: inline-block;}

.logout-button {    font-size: 0px;    padding: 0px;    width: 40px;    height: 40px;    display: inline-block;    margin-top: 0px;    float: right; position: relative;}

.logout-button::after {content:''; display: block; width: 40px; height: 40px; background-image: url(../images/poweroff.png); position: absolute; top:0px; left: 0px;} 

h3 {    font-weight: 600;    font-size: 18px;    line-height: 28px;    margin-bottom: 10px;}

#sliderh4 .banner-text {    font-size: 20px;    width: 100%;    padding: 60px 70px;    text-align: center;}

.login-area {    width: 100%;}

.question-search-box {width: 100%; margin: 0px;}

#add-question-button {width: 100%; margin-top: 10px;}

}